Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79989 - PAM can't count users - off by one in maxlogins
Summary: PAM can't count users - off by one in maxlogins
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 14:13 UTC by Alan Cox
Modified: 2015-01-08 00:02 UTC (History)
3 users (show)

Fixed In Version: pam-0.77-63
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-27 07:10:07 UTC


Attachments (Terms of Use)

Description Alan Cox 2002-12-18 14:13:32 UTC
Description of problem:

PAM limits maxlogins is off by one

Version-Release number of selected component (if applicable):

0.75-40

How reproducible:

Add pam_limits to login
Add a user limit

@* - maxlogins 2

Everyone can log in 3 times.

Comment 1 Roger Nunn 2003-11-10 12:21:46 UTC
This is also the case with Red Hat Enterprise Linux version 3
and Red Hat Linux 9

The testing is the same, the logins were via virtual console.


Comment 4 Doncho Gunchev 2004-05-29 23:01:18 UTC
I had the same problem with Red Hat Linux 8.

Comment 5 Tomas Mraz 2004-09-22 08:58:52 UTC
Actually in the current devel packages it's the other way around. It
allows user to login only maxlogins-1 times.

upstream pam-0.77 fixed it over pam-0.75 but as part of grubb_leak
patch it was 'fixed' once more ;-) FC2 should actually be fine.



Note You need to log in before you can comment on or make changes to this bug.